Cisco Wireless Residential Gateway Remote Code Execution Vulnerability

2014 年 7 月 18 日 - ライター翻訳版
その他のバージョン: PDFpdf | 英語版 (2014 年 7 月 16 日) | フィードバック

Advisory ID: ciscosa-20140716-cm

http://www.cisco.com/cisco/web/support/JP/112/1122/1122791_ciscosa-20140716-cm-j.html

日本語による情報は、英語による原文の非公式な翻訳であり、英語原文との間で内容の齟齬がある場合には、英語原文が優先します。

Revision 1.0

For Public Release 2014 July 16 16:00 UTC (GMT)


要約

複数の Cisco ワイヤレス レジデンシャル ゲートウェイ製品で使用される Web サーバの脆弱性により、認証されていないリモートの攻撃者がバッファ オーバーフローを不正利用したり、任意のコードを実行できる可能性があります。

この脆弱性は、HTTP 要求の入力検証が不適切であることに起因します。攻撃者は細工した HTTP 要求を該当デバイスに送信することで、この脆弱性を不正利用する可能性があります。シスコはこの脆弱性に対処する無償のソフトウェア アップデートをリリースしました。これらの脆弱性に対しては回避策がありません。

このアドバイザリは、次のリンクで確認できます。
http://www.cisco.com/cisco/web/support/JP/112/1122/1122791_ciscosa-20140716-cm-j.html

該当製品

脆弱性が認められる製品

次のシスコ製品はこの脆弱性の影響を受けます。
  • Cisco DPC3212 VoIP ケーブル モデム
  • Cisco DPC3825 8x4 DOCSIS 3.0 ワイヤレス レジデンシャル ゲートウェイ
  • Cisco EPC3212 VoIP ケーブル モデム
  • Cisco EPC3825 8x4 DOCSIS 3.0 ワイヤレス レジデンシャル ゲートウェイ
  • Cisco Model DPC3010 DOCSIS 3.0 8x4 ケーブル モデム
  • Cisco Model DPC3925 8x4 DOCSIS 3.0 ワイヤレス レジデンシャル ゲートウェイ(EDVA 付き)
  • Cisco Model DPQ3925 8x4 DOCSIS 3.0 ワイヤレス レジデンシャル ゲートウェイ(EDVA 付き)
  • Cisco Model EPC3010 DOCSIS 3.0 ケーブル モデム
  • Cisco Model EPC3925 8x4 DOCSIS 3.0 ワイヤレス レジデンシャル ゲートウェイ(EDVA 付き)

脆弱性が認められない製品

  • Cisco Model DCP2100 DOCSIS 2.0 ケーブル モデム
  • Cisco Model DPC3008 DOCSIS 3.0 8x4 ケーブル モデム
  • Cisco Model DPC3208 8x4 DOCSIS 3.0 ケーブル モデム
  • Cisco Model DPC3828 DOCSIS 3.0 8x4 ワイヤレス レジデンシャル ゲートウェイ
  • Cisco Model DPC3928 DOCSIS 3.0 8x4 ワイヤレス レジデンシャル ゲートウェイ
  • Cisco Model EPC2425 EuroDOCSIS 2.0 ケーブル モデム
  • Cisco Model EPC3008 EuroDOCSIS 3.0 8x4 VoIP ケーブル モデム
  • Cisco Model EPC3208 8x4 DOCSIS 3.0 ケーブル モデム
  • Cisco Model EPC3828 EuroDOCSIS 3.0 8x4 ワイヤレス レジデンシャル ゲートウェイ
  • Cisco Model EPC3928 EuroDOCSIS 3.0 8x4 ワイヤレス レジデンシャル ゲートウェイ
  • Scientific Atlanta DPR2320 ケーブル モデム
  • Scientific Atlanta DPX 2000 ケーブル モデム
  • Scientific Atlanta EPC2203 VoIP ケーブル モデム
  • WebSTAR DPX2100 ケーブル モデム
  • WebSTAR DPX2203C VoIP ケーブル モデム
  • WebSTAR EPC2100R2 ケーブル モデム
  • WebSTAR EPR2325 EuroDOCSIS レジデンシャル ゲートウェイ(ワイヤレス アクセス ポイント付き)

詳細

複数の Cisco ワイヤレス レジデンシャル ゲートウェイ製品で使用される Web サーバの脆弱性により、認証されていないリモートの攻撃者がバッファ オーバーフローを不正利用したり、任意のコードを実行できる可能性があります。

この脆弱性は、HTTP 要求の入力検証が不適切であることに起因します。攻撃者は細工した HTTP 要求を該当デバイスに送信することで、この脆弱性を不正利用する可能性があります。この脆弱性の不正利用に成功した場合、Web サーバがクラッシュしたり、特権権限を使用して任意のコードが実行される可能性があります。この脆弱性は、デバイスが Router モードまたは Gateway モードに設定されている場合に影響を受けます。

シスコは、本アドバイザリに記載された脆弱性に対処するサービス プロバイダーに対して、ソフトウェア アップデートをリリースしています。お客様は Cisco TAC に連絡する前に、まずはお客様のサービス プロバイダーに連絡して、サービス プロバイダーによって導入されるソフトウェアに、この脆弱性に対処する修正プログラムが含まれているかどうか確認することを推奨します。

この脆弱性は、Cisco Bug ID CSCup40808登録ユーザ専用)として文書化され、Common Vulnerabilities and Exposures(CVE)ID として CVE-2014-3306 が割り当てられています。

脆弱性スコア詳細

シスコは本アドバイザリでの脆弱性に対し、Common Vulnerability Scoring System(CVSS)に基づいたスコアを提供しています。本セキュリティ アドバイザリでの CVSS スコアは、CVSS バージョン 2.0 に基づいています。

CVSS は、脆弱性の重要度を示唆するもので、緊急性および対応の優先度を決定する組織の手助けとなる標準ベースの評価法です。

シスコでは、基本評価スコア(Base Score)および現状評価スコア(Temporal Score)を提供しています。お客様はこれらを用いて環境評価スコア(Environmental Score)を算出し、自身のネットワークにおける脆弱性の影響度を知ることができます。

シスコは次のリンクで CVSS に関する追加情報を提供しています。
http://www.cisco.com/web/about/security/intelligence/cvss-qandas.html

またシスコでは、各ネットワークにおける環境影響度を算出する CVSS 計算ツールを次のリンクで提供しています。
http://tools.cisco.com/security/center/cvssCalculator.x


CSCup40808 Cisco Wireless Residential Gateway Remote Code Execution Vulnerability

Calculate the environmental score of CSCup40808

CVSS Base Score - 10.0

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

None

Complete

Complete

Complete

CVSS Temporal Score - 7.8

Exploitability

Remediation Level

Report Confidence

Proof-of-Concept

Official-Fix

Confirmed

影響

この脆弱性の不正利用に成功すると、組み込みの Web サーバがクラッシュしたり、攻撃者によって任意のコマンドが実行されたり、または特権権限を使用して任意のコードが実行されたりする可能性があります。

ソフトウェア バージョンおよび修正

ソフトウェアのアップグレードを検討する場合は、http://www.cisco.com/go/psirt/ の Cisco Security Advisories, Responses, and Notices アーカイブや、後続のアドバイザリを参照して、起こりうる障害を判断し、それに対応できるアップグレード ソリューションを確認してください。

いずれの場合も、アップグレードするデバイスに十分なメモリがあること、現在のハードウェアとソフトウェアの構成が新規リリースで引き続き正しくサポートされていることを十分に確認してください。不明な点については、Cisco Technical Assistance Center(TAC)もしくは契約しているメンテナンス プロバイダーにお問い合わせください。

回避策

現在、この脆弱性に対処する既知の回避策はありません。

修正済みソフトウェアの入手

シスコは、本アドバイザリに記載された脆弱性に対処するサービス プロバイダーのお客様に対して、無償のソフトウェア アップデートをリリースしています。お客様はソフトウェアの導入を行う前に、お客様のサービス プロバイダーにご相談いただくか、ソフトウェアのフィーチャ セットの互換性およびお客様のネットワーク環境の特有の問題をご確認ください。

お客様がインストールしたりサポートを受けたりできるのは、ご購入いただいたフィーチャ セットに対してのみとなります。そのようなソフトウェア アップグレードをインストール、ダウンロード、アクセスまたはその他の方法で使用した場合、お客様は http://www.cisco.com/en/US/docs/general/warranty/English/EU1KEN_.html に記載のシスコのソフトウェア ライセンスの条項に従うことに同意したことになります。

サービス契約をご利用のお客様

サービス契約をご利用のお客様は、通常のアップデート チャネルからアップグレード ソフトウェアを入手してください。ほとんどのお客様は、Cisco.com の Software Navigator からアップグレードを入手することができます。http://www.cisco.com/cisco/software/navigator.html

サードパーティのサポート会社をご利用のお客様

シスコ パートナー、正規販売代理店、サービス プロバイダーなど、サードパーティのサポート会社と以前に契約していたか、または現在契約しており、その会社からシスコ製品の提供または保守を受けているお客様は、該当するサポート会社に連絡し、正しい処置についてのサポートを受けてください。

回避策や修正の効果は、使用している製品、ネットワーク トポロジー、トラフィックの性質や組織の目的などに関するお客様の状況によって異なります。影響を受ける製品やリリースは多種多様であるため、回避策を実施する前に、対象ネットワークで適用する回避策または修正が最適であることを、お客様のサービス プロバイダーやサポート会社にご確認ください。

サービス契約をご利用でないお客様

シスコから製品を直接購入したもののシスコのサービス契約をご利用いただいていない場合、または、サードパーティ ベンダーから購入したものの修正済みソフトウェアを購入先から入手できない場合は、Cisco Technical Assistance Center(TAC)に連絡してアップグレード ソフトウェアを入手してください。
  • +1 800 553 2447(北米からの無料通話)
  • +1 408 526 7209(北米以外からの有料通話)
  • Eメール:tac@cisco.com
無償アップグレードの対象製品であることを証明していただくために、製品のシリアル番号と、本アドバイザリの URL をご用意ください。サービス契約をご利用でないお客様は TAC に無償アップグレードをリクエストしてください。

さまざまな言語向けの各地の電話番号、説明、電子メール アドレスなどの、この他の TAC の連絡先情報については、シスコ ワールドワイドお問い合わせ先(http://www.cisco.com/en/US/support/tsd_cisco_worldwide_contacts.html)を参照してください。

不正利用事例と公式発表

Cisco Product Security Incident Response Team(PSIRT)では、本アドバイザリに記載されている脆弱性の不正利用事例とその公表は確認しておりません。

この脆弱性は、Tech Analysis の Chris Watts 氏によってシスコに報告されました。Cisco PSIRT にこの問題をご報告いただいた同氏に感謝いたします。

この通知のステータス:FINAL

本アドバイザリは無保証のものとしてご提供しており、いかなる種類の保証を示唆するものでもありません。本アドバイザリの情報およびリンクの使用に関する責任の一切はそれらの使用者にあるものとします。またシスコはいつでも本ドキュメントの変更や更新を実施する権利を有します。

後述する情報配信の URL を省略し、本アドバイザリの記述内容に関して単独の転載や意訳を実施した場合には、事実誤認ないし重要な情報の欠落を含む統制不可能な情報の伝搬が行われる可能性があります。


情報配信

このアドバイザリは次のリンクにある Cisco Security Intelligence Operations に掲載されます。
http://www.cisco.com/cisco/web/support/JP/112/1122/1122791_ciscosa-20140716-cm-j.html

また、このアドバイザリのテキスト版が Cisco PSIRT PGP キーによるクリア署名つきで次の電子メールで配信されています。
  • cust-security-announce@cisco.com
  • first-bulletins@lists.first.org
  • bugtraq@securityfocus.com
  • vulnwatch@vulnwatch.org
  • cisco@spot.colorado.edu
  • cisco-nsp@puck.nether.net
  • fulldisclosure@seclists.org
本アドバイザリに関する今後の更新は Cisco.com に掲載されますが、メーリング リストで配信されるとは限りません。更新内容については、本アドバイザリの URL でご確認ください。

更新履歴

Revision 1.0 2014-July-16 Initial public release.

シスコ セキュリティ手順

シスコ製品におけるセキュリティの脆弱性の報告、セキュリティ事故に関するサポート、およびシスコからセキュリティ情報を入手するための登録方法の詳細については、Cisco.com の http://www.cisco.com/web/about/security/psirt/security_vulnerability_policy.html を参照してください。この Web ページには、シスコのセキュリティ アドバイザリに関してメディアが問い合わせる際の指示が掲載されています。すべてのシスコ セキュリティ アドバイザリは、http://www.cisco.com/go/psirt/ で確認することができます。